Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class PasswordRecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.PasswordRecipientInfo

All Implemented Interfaces:
  DEREncodable

public class PasswordRecipientInfo
extends ASN1Encodable

Constructor Summary
`PasswordRecipientInfo(AlgorithmIdentifier keyDerivationAlgorithm, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`
`PasswordRecipientInfo(AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`
`PasswordRecipientInfo(ASN1Sequence seq)`

Method Summary
`ASN1OctetString` | `getEncryptedKey()`
`static PasswordRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a PasswordRecipientInfo object from a tagged object.
`static PasswordRecipientInfo` | `getInstance(java.lang.Object obj)` return a PasswordRecipientInfo object from the given object.
`AlgorithmIdentifier` | `getKeyDerivationAlgorithm()`
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordRecipientInfo

    public PasswordRecipientInfo(AlgorithmIdentifier keyEncryptionAlgorithm,
                                 ASN1OctetString encryptedKey)

### PasswordRecipientInfo

    public PasswordRecipientInfo(AlgorithmIdentifier keyDerivationAlgorithm,
                                 AlgorithmIdentifier keyEncryptionAlgorithm,
                                 ASN1OctetString encryptedKey)

### PasswordRecipientInfo

    public PasswordRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static PasswordRecipientInfo getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

  return a PasswordRecipientInfo object from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static PasswordRecipientInfo getInstance(java.lang.Object obj)

  return a PasswordRecipientInfo object from the given object.
  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getKeyDerivationAlgorithm

    public AlgorithmIdentifier getKeyDerivationAlgorithm()

### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       PasswordRecipientInfo ::= SEQUENCE {
         version CMSVersion,   -- Always set to 0
         keyDerivationAlgorithm [0] KeyDerivationAlgorithmIdentifier
                                   OPTIONAL,
        keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
        encryptedKey EncryptedKey }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD